slepc-3.10.1 2018-10-23
Report Typos and Errors

# STShellGetContext

Returns the user-provided context associated with a shell ST

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellGetContext(ST st,void **ctx)

Not Collective

### Input Parameter

| st | - spectral transformation context

### Output Parameter

| ctx | - the user provided context

### Notes

This routine is intended for use within various shell routines

### See Also

STShellSetContext()

Location: src/sys/classes/st/impls/shell/shell.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex35.c.html
src/eps/examples/tutorials/ex36.c.html